gnutls_pubkey_get_key_usage(3)

NAME
gnutls_pubkey_get_key_usage - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pubkey_get_key_usage(gnutls_pubkey_t key, unsigned int * usage);

ARGUMENTS

gnutls_pubkey_t key
    should contain a gnutls_pubkey_t structure

unsigned int * usage
    If set will return the number of bits of the parameters (may be NULL)

DESCRIPTION
This function will return the key usage of the public key.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.